package service

import (
	"be.ems/src/modules/ne_data/model"
	"be.ems/src/modules/ne_data/repository"
)

// 实例化数据层 NEState 结构体
var NewNEState = &NEState{
	neStateRepository: repository.NewNEState,
}

// NEState 网元状态记录表 服务层处理
type NEState struct {
	neStateRepository *repository.NEState // 网元状态记录信息
}

// FindByPage 根据条件分页查询
func (r NEState) FindByPage(query model.NEStateQuery) ([]model.NEState, int64) {
	return r.neStateRepository.SelectByPage(query)
}

// Insert 插入数据
func (r NEState) Insert(item model.NEState) int64 {
	return r.neStateRepository.Insert(item)
}

// DeleteByTime 删除数据
func (r NEState) DeleteByTime(ltTime int64) int64 {
	return r.neStateRepository.DeleteByTime(ltTime)
}
